Package ghidra.app.util.bin.format.coff

# Class CoffSymbolStorageClass

java.lang.Object
ghidra.app.util.bin.format.coff.CoffSymbolStorageClass

public class CoffSymbolStorageClass extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `C_ALIAS`
  duplicate tag
  `static final int`
  `C_ARG`
  function argument
  `static final int`
  `C_AUTO`
  automatic variable
  `static final int`
  `C_AUTOARG`
  automatic argument
  `static final int`
  `C_BLOCK`
  ".bb" or ".eb" - beginning or end of block
  `static final int`
  `C_EFCN`
  physical end of function
  `static final int`
  `C_ENTAG`
  enumeration tag
  `static final int`
  `C_EOS`
  end of structure
  `static final int`
  `C_EXT`
  external (public) symbol - globals and externs
  `static final int`
  `C_EXTDEF`
  external definition
  `static final int`
  `C_FCN`
  ".bf" or ".ef" - beginning or end of function
  `static final int`
  `C_FIELD`
  bit field
  `static final int`
  `C_FILE`
  file name
  `static final int`
  `C_HIDDEN`
  external symbol in dmert public lib
  `static final int`
  `C_LABEL`
  label
  `static final int`
  `C_LASTENT`
  dummy entry (end of block)
  `static final int`
  `C_LINE`
  line number, reformatted as symbol
  `static final int`
  `C_MOE`
  member of enumeration
  `static final int`
  `C_MOS`
  member of structure
  `static final int`
  `C_MOU`
  member of union
  `static final int`
  `C_NULL`
  no entry
  `static final int`
  `C_REG`
  register variable
  `static final int`
  `C_REGPARAM`
  register parameter
  `static final int`
  `C_STAT`
  static (private) symbol
  `static final int`
  `C_STRTAG`
  structure tag
  `static final int`
  `C_TPDEF`
  type definition
  `static final int`
  `C_ULABEL`
  undefined label
  `static final int`
  `C_UNTAG`
  union tag
  `static final int`
  `C_USTATIC`
  undefined static

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CoffSymbolStorageClass()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### C_NULL

    public static final int C_NULL
    no entry
    See Also:
      - Constant Field Values

  - ### C_AUTO

    public static final int C_AUTO
    automatic variable
    See Also:
      - Constant Field Values

  - ### C_EXT

    public static final int C_EXT
    external (public) symbol - globals and externs
    See Also:
      - Constant Field Values

  - ### C_STAT

    public static final int C_STAT
    static (private) symbol
    See Also:
      - Constant Field Values

  - ### C_REG

    public static final int C_REG
    register variable
    See Also:
      - Constant Field Values

  - ### C_EXTDEF

    public static final int C_EXTDEF
    external definition
    See Also:
      - Constant Field Values

  - ### C_LABEL

    public static final int C_LABEL
    label
    See Also:
      - Constant Field Values

  - ### C_ULABEL

    public static final int C_ULABEL
    undefined label
    See Also:
      - Constant Field Values

  - ### C_MOS

    public static final int C_MOS
    member of structure
    See Also:
      - Constant Field Values

  - ### C_ARG

    public static final int C_ARG
    function argument
    See Also:
      - Constant Field Values

  - ### C_STRTAG

    public static final int C_STRTAG
    structure tag
    See Also:
      - Constant Field Values

  - ### C_MOU

    public static final int C_MOU
    member of union
    See Also:
      - Constant Field Values

  - ### C_UNTAG

    public static final int C_UNTAG
    union tag
    See Also:
      - Constant Field Values

  - ### C_TPDEF

    public static final int C_TPDEF
    type definition
    See Also:
      - Constant Field Values

  - ### C_USTATIC

    public static final int C_USTATIC
    undefined static
    See Also:
      - Constant Field Values

  - ### C_ENTAG

    public static final int C_ENTAG
    enumeration tag
    See Also:
      - Constant Field Values

  - ### C_MOE

    public static final int C_MOE
    member of enumeration
    See Also:
      - Constant Field Values

  - ### C_REGPARAM

    public static final int C_REGPARAM
    register parameter
    See Also:
      - Constant Field Values

  - ### C_FIELD

    public static final int C_FIELD
    bit field
    See Also:
      - Constant Field Values

  - ### C_AUTOARG

    public static final int C_AUTOARG
    automatic argument
    See Also:
      - Constant Field Values

  - ### C_LASTENT

    public static final int C_LASTENT
    dummy entry (end of block)
    See Also:
      - Constant Field Values

  - ### C_BLOCK

    public static final int C_BLOCK
    ".bb" or ".eb" - beginning or end of block
    See Also:
      - Constant Field Values

  - ### C_FCN

    public static final int C_FCN
    ".bf" or ".ef" - beginning or end of function
    See Also:
      - Constant Field Values

  - ### C_EOS

    public static final int C_EOS
    end of structure
    See Also:
      - Constant Field Values

  - ### C_FILE

    public static final int C_FILE
    file name
    See Also:
      - Constant Field Values

  - ### C_LINE

    public static final int C_LINE
    line number, reformatted as symbol
    See Also:
      - Constant Field Values

  - ### C_ALIAS

    public static final int C_ALIAS
    duplicate tag
    See Also:
      - Constant Field Values

  - ### C_HIDDEN

    public static final int C_HIDDEN
    external symbol in dmert public lib
    See Also:
      - Constant Field Values

  - ### C_EFCN

    public static final int C_EFCN
    physical end of function
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CoffSymbolStorageClass

    public CoffSymbolStorageClass()